Last Comment Bug 451203 - Unable to select text that has been highlighted by the find toolbar
: Unable to select text that has been highlighted by the find toolbar
Status: VERIFIED FIXED
: regression, testcase
Product: Core
Classification: Components
Component: Selection (show other bugs)
: Trunk
: All All
-- normal (vote)
: mozilla1.9.1b1
Assigned To: Graeme McCutcheon [:graememcc]
:
: Jet Villegas (:jet)
Mentors:
Depends on:
Blocks: 263683 455411
  Show dependency treegraph
 
Reported: 2008-08-19 09:18 PDT by Martijn Wargers [:mwargers]
Modified: 2008-09-18 12:59 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Trivial fix (974 bytes, patch)
2008-08-19 14:24 PDT, Graeme McCutcheon [:graememcc]
roc: review+
roc: superreview+
Details | Diff | Splinter Review

Description User image Martijn Wargers [:mwargers] 2008-08-19 09:18:32 PDT
This probably belongs more into Core->Selection, that's why I'm filing it in there, but you can see it with the Find toolbar.

To reproduce:
- Just search for a word or text with the find toolbar, that can be found on this page and then click on "Highlight all".
- Then try to select something from inside the yellow area of one of the found items.

Note that the highlighted text still can be selected from outside the highlighted area.
Comment 1 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2008-08-19 10:08:30 PDT
Same with Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.1a2pre) Gecko/20080819020844 Minefield/3.1a2pre ID:20080819020844
Comment 2 User image Martijn Wargers [:mwargers] 2008-08-19 10:49:33 PDT
Double-clicking and triple-clicking in the highlighted area seems to work all right, so it's only an issue for drag-selection.
Comment 3 User image Graeme McCutcheon [:graememcc] 2008-08-19 14:24:01 PDT
Created attachment 334566 [details] [diff] [review]
Trivial fix
Comment 4 User image Dão Gottwald [:dao] 2008-09-03 17:19:08 PDT
http://hg.mozilla.org/mozilla-central/rev/2d31c20ce548
Comment 5 User image Martijn Wargers [:mwargers] 2008-09-10 14:15:52 PDT
Verified fixed, using:
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1b1pre) Gecko/20080908091724 Minefield/3.1b1pre

Note You need to log in before you can comment on or make changes to this bug.